### Method

# GtkSource SnippetChunk get_spec

#### Declaration [src]

    const gchar*
    gtk_source_snippet_chunk_get_spec (
      GtkSourceSnippetChunk* chunk
    )

#### Description [src]

Gets the specification for the chunk.

The specification is evaluated for variables when other chunks are edited within the snippet context. If the user has changed the text, the `GtkSourceSnippetChunk:text` and `GtkSourceSnippetChunk:text-set` properties are updated.

Gets property | `GtkSource.SnippetChunk:spec`

#### Return value

Type: `const gchar*`

The specification, if any.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.